Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Server JAAS Provider API Reference 10g Release 3 (10.1.3) B25710-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.evermind.security
Interface Group

All Superinterfaces:
  java.security.Principal

Deprecated. as of 10.1.3, use JAAS standard APIs

This interface is deprecated in 10.1.3 in favor of the standard J2SE JAAS mechanism based on LoginModule. See OC4J Security Guide for more information on implementing custom JAAS login module.

public interface Group
extends java.security.Principal

A Group is a Group of Users, often specified for a specific category of users, for instance administrators, users, guests, etc...

Method Summary
`void` | `addPermission(java.security.Permission permission)` Deprecated. Adds a permission to this group.
`java.lang.String` | `getDescription()` Deprecated. Returns a description of this group.
`java.util.Set` | `getPermissions()` Deprecated. Get the permissions that this group holds.
`boolean` | `hasPermission(java.security.Permission permission)` Deprecated. See if this group has the specified Permission.
`void` | `removePermission(java.security.Permission permission)` Deprecated. Removes a permission from this group.
`void` | `setDescription(java.lang.String description)` Deprecated. Sets the description.

Methods inherited from interface java.security.Principal
`equals, getName, hashCode, toString`

Method Detail

### hasPermission

    public boolean hasPermission(java.security.Permission permission)

  Deprecated.
  See if this group has the specified Permission.

### getPermissions

    public java.util.Set getPermissions()
                                 throws java.lang.UnsupportedOperationException

  Deprecated.
  Get the permissions that this group holds. Throws UnsupportedOperationException if not supported.
  Throws:
    `java.lang.UnsupportedOperationException`

### addPermission

    public void addPermission(java.security.Permission permission)
                       throws java.lang.UnsupportedOperationException

  Deprecated.
  Adds a permission to this group. Throws UnsupportedOperationException if not supported.
  Throws:
    `java.lang.UnsupportedOperationException`

### removePermission

    public void removePermission(java.security.Permission permission)
                          throws java.lang.UnsupportedOperationException

  Deprecated.
  Removes a permission from this group. Throws UnsupportedOperationException if not supported.
  Throws:
    `java.lang.UnsupportedOperationException`

### getDescription

    public java.lang.String getDescription()

  Deprecated.
  Returns a description of this group.

### setDescription

    public void setDescription(java.lang.String description)

  Deprecated.
  Sets the description. Throws UnsupportedOperationException if not supported.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Server JAAS Provider API Reference 10g Release 3 (10.1.3) B25710-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2006, Oracle. All rights reserved.